import request from '@/utils/request'

// 启用饲养间
export function studyRoom_save(data) {
  return request({
    url: '/system/business/studyRoom/save',
    method: 'post',
    data: data
  })
}

// 更换笼具
export function studyRoom_update(data) {
  return request({
    url: '/system/business/studyRoom/update',
    method: 'post',
    data: data
  })
}

// 饲养间列表
export function studyRoom_list(query) {
  return request({
    url: '/system/business/studyRoom/list',
    method: 'get',
    params: query
  })
}

// 饲养间详情
export function studyRoom_info(query) {
  return request({
    url: '/system/business/studyRoom/info',
    method: 'get',
    params: query
  })
}

// 饲养间稽查轨迹列表
export function studyRoom_jcgjList(query) {
  return request({
    url: '/system/business/studyRoom/jcgjList',
    method: 'get',
    params: query
  })
}



// 笼具更换记录列表
export function studyRoom_historyList(query) {
  return request({
    url: '/system/business/studyRoom/historyList',
    method: 'get',
    params: query
  })
}
// 饲养间结束使用
export function studyRoom_js(data) {
  return request({
    url: '/system/business/studyRoom/js',
    method: 'post',
    data: data
  })
}


